Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_X9_42_DH2_DERIVE_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_X9_42_DH2_DERIVE_PARAMS

public class CK_X9_42_DH2_DERIVE_PARAMS
extends Object

class CK_X9_42_DH2_DERIVE_PARAMS provides the parameters to the CKM_X9_42_DH_HYBRID_DERIVE and CKM_X9_42_MQV_DERIVE mechanisms.

PKCS#11 structure:

     typedef struct CK_X9_42_DH2_DERIVE_PARAMS {
       CK_X9_42_DH_KDF_TYPE kdf;
       CK_ULONG ulOtherInfoLen;
       CK_BYTE_PTR pOtherInfo;
       CK_ULONG ulPublicDataLen;
       CK_BYTE_PTR pPublicData;
       CK_ULONG ulPrivateDataLen;
       CK_OBJECT_HANDLE hPrivateData;
       CK_ULONG ulPublicDataLen2;
       CK_BYTE_PTR pPublicData2;
     } CK_X9_42_DH2_DERIVE_PARAMS;

Field Summary
`long` | `hPrivateData` PKCS#11: CK_OBJECT_HANDLE hPrivateData;
`long` | `kdf` PKCS#11: CK_X9_42_DH_KDF_TYPE kdf;
`byte[]` | `pOtherInfo` PKCS#11: CK_ULONG ulOtherInfoLen; CK_BYTE_PTR pOtherInfo;
`byte[]` | `pPublicData` PKCS#11: CK_ULONG ulPublicDataLen; CK_BYTE_PTR pPublicData;
`byte[]` | `pPublicData2` PKCS#11: CK_ULONG ulPublicDataLen2; CK_BYTE_PTR pPublicData2;
`long` | `ulPrivateDataLen` PKCS#11: CK_ULONG ulPrivateDataLen;

Constructor Summary
`CK_X9_42_DH2_DERIVE_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_PKCS5_PBKD2_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kdf

    public long kdf

  PKCS#11:

         CK_X9_42_DH_KDF_TYPE kdf;

### pOtherInfo

    public byte[] pOtherInfo

  PKCS#11:

         CK_ULONG ulOtherInfoLen;
         CK_BYTE_PTR pOtherInfo;

### pPublicData

    public byte[] pPublicData

  PKCS#11:

         CK_ULONG ulPublicDataLen;
         CK_BYTE_PTR pPublicData;

### ulPrivateDataLen

    public long ulPrivateDataLen

  PKCS#11:

         CK_ULONG ulPrivateDataLen;

### hPrivateData

    public long hPrivateData

  PKCS#11:

         CK_OBJECT_HANDLE hPrivateData;

### pPublicData2

    public byte[] pPublicData2

  PKCS#11:

         CK_ULONG ulPublicDataLen2;
         CK_BYTE_PTR pPublicData2;

Constructor Detail

### CK_X9_42_DH2_DERIVE_PARAMS

    public CK_X9_42_DH2_DERIVE_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_PKCS5_PBKD2_PARAMS.

  Returns:
    the string representation of CK_PKCS5_PBKD2_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.